import request from '@/utils/request'

// 查询列表
export function queryList(params) {
  return request({
    url: '/chcheckorder/queryChCheckOrderByPagination',
    method: 'get',
    params
  })
}
export function aliOcr(businessId) {
  return request({
    url: '/chcheckorder/aliOcr/' + businessId,
    method: 'get'
  })
}

// 获取ocr扫描数据
export function getOcrData(params) {
  return request({
    url: '/chcheckorder/submit',
    method: 'post',
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 新增扫描的数据
export function addOcrData(params) {
  return request({
    url: '/chcheckorder/add',
    method: 'post',
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

